log4j.rootLogger=INFO,viewout,fileout

log4j.logger.stdout=INFO,viewout
log4j.additivity.stdout=false

log4j.logger.dbTire=INFO,fileout
log4j.additivity.dbTier=false

log4j.appender.viewout=org.apache.log4j.ConsoleAppender
log4j.appender.viewout.Target=System.out
log4j.appender.viewout.layout=org.apache.log4j.PatternLayout
log4j.appender.viewout.layout.ConversionPattern=[%d{HH:mm:ss}] [%X{hostname}][%5p] (%-10.10c{1}) - %m%n

log4j.appender.fileout=org.apache.log4j.DailyRollingFileAppender
log4j.appender.fileout.File=${user.home}/log/database.log
log4j.appender.fileout.Append=true
log4j.appender.fileout.DatePattern='.'yyyy-mm-dd
log4j.appender.fileout.layout=org.apache.log4j.PatternLayout
log4j.appender.fileout.layout.ConversionPattern=[%d{yyyy-MM-dd HH:mm:ss}] [%X{hostname}] [%5p] [%F:%L] - %m%n
